def sqr_distance_between(v1, v2):
    return sum([(i - j) ** 2 for i, j in zip(v1, v2)])


def distance_between(v1, v2):
    return sum([(i - j) ** 2 for i, j in zip(v1, v2)]) ** .5


def loop_time(time, secs):
    return abs(((time % secs) / (secs * .5)) - 1)


def angle_diff(a, b):
    return ((b - a) + 180) % 360 - 180


def get_time_str(seconds):
    mins, secs = divmod(round(float(seconds), 2), 60)

    if mins == 0:
        return '{} seconds'.format(secs)
    elif mins == 1.0:
        return '1 minute {} seconds'.format(secs)
    else:
        return '{} minutes {} seconds'.format(int(mins), secs)
