from kivy.uix.image import Image


class Background(Image):
    def __init__(self, **kwargs):
        Image.__init__(self, pos_hint={'center': (.5, .5)},
                       allow_stretch=True, **kwargs)

    def update(self, size):
        aspect = size[0] / float(size[1])
        if aspect < self.image_ratio:
            self.size_hint = (self.image_ratio / aspect, 1)
        else:
            self.size_hint = (1, aspect / self.image_ratio)
